var util = require('util');
var path = require('path');
var fs = require('fs');
var utils = require('utils');
var Service = require('Service');

/**
 * 添加项目
 */
var Add = function() { 
  Service.call(this);
};

util.inherits(Add, Service);

module.exports = Add;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
Add.prototype.process =  function(req, res) {
	if(!req.code) {
    this.onLogicError(1, "请提供项目编码！");
    return;
  }
  /*if(!req.fileType) {
    this.onLogicError(2, "请提供文件类型！");
    return;
  }
  let fileTypes = req.fileType.split(",");
  if(fileTypes.contains("client")) {*/
    var webDir = utils.getPath("/web/app/"+req.code);
    if(!fs.existsSync(webDir)) {
    	fs.mkdirSync(webDir);
    }
  //}
  //if(fileTypes.contains("server")) {
    var serverDir = utils.getPath("/app/"+req.code);
    if(!fs.existsSync(serverDir)) fs.mkdirSync(serverDir);
    var modelDir = utils.getPath("/app/"+req.code+"/model");
    if(!fs.existsSync(modelDir)) fs.mkdirSync(modelDir);
    var daoDir = utils.getPath("/app/"+req.code+"/dao");
    if(!fs.existsSync(daoDir)) fs.mkdirSync(daoDir);
    var serviceDir = utils.getPath("/app/"+req.code+"/service");
    if(!fs.existsSync(serviceDir)) fs.mkdirSync(serviceDir);
  //}
	this.end(res);
};